Last Comment Bug 553999 - A simple file that containts 1023 Unix LF chars kills Firefox, but it works on IE, Chrome, Opera, Safari. Tested on Firefox 3.6 and on 3.5.4 as well.
: A simple file that containts 1023 Unix LF chars kills Firefox, but it works o...
Status: RESOLVED FIXED
[fixed by the html5 parser]
: hang
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: 1.9.2 Branch
: x86 Windows Vista
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://ade.web.elte.hu/_1023LF.txt
Depends on: 479959
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 03:57 PDT by Adam Tarcsi
Modified: 2014-10-01 16:49 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Stack of main thread (9.08 KB, text/plain)
2010-03-23 00:41 PDT, Arie Paap [:wildmyron]
no flags Details

Description Adam Tarcsi 2010-03-22 03:57:56 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; hu; rv:1.9.2) Gecko/20100115 Firefox/3.6 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; hu; rv:1.9.2) Gecko/20100115 Firefox/3.6 (.NET CLR 3.5.30729)

A simple file that containts 1023 Unix LF chars kills Firefox, but it works on IE, Chrome, Opera, Safari. Tested on Firefox 3.6 and on 3.5.4 as well.
You can try it here: http://ade.web.elte.hu/_1023LF.txt

Reproducible: Always

Steps to Reproduce:
1. Create a simple text file with 1023 LF. Maybe less is enough, I've tested with 1023.
2. Open it with Firefox
3. Now you can restart your Firefox...
Actual Results:  
Firefox crashes
Comment 1 Mardeg 2010-03-22 04:01:34 PDT
Testing on Minefield latest nightly build produces a hang, no crash.
Comment 3 Arie Paap [:wildmyron] 2010-03-23 00:41:07 PDT
Created attachment 434180 [details]
Stack of main thread

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2

Fx hangs [@ xul!nsScannerIterator::advance] with 100% cpu usage on the main thread. I haven't been able to figure out what the unloaded modules are but hopefully it's not important.
Comment 4 Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2010-03-23 01:48:37 PDT
Bug 479959 will fix this eventually.
Comment 5 Alex Miller 2010-11-07 19:56:13 PST
Firefox 3.6.12 on Ubuntu just hangs.
Comment 6 fly3ds@qq.com 2012-02-04 20:45:16 PST
It works good in Firefox 10.0, Windows XP.  Maybe Someone Fixed it?
Comment 7 Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2012-02-05 00:55:43 PST
Fixed by fixing bug 479959.
Comment 8 wilsonchong8806222 2014-09-04 00:06:15 PDT Comment hidden (spam)

Note You need to log in before you can comment on or make changes to this bug.